> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Files

> Upload files to Fireworks

## Uploading Files

> [tab] Python
>
> ```python theme={"system"}
> from portkey_ai import Portkey
>
> # Initialize the Portkey client
> portkey = Portkey(
>     api_key="PORTKEY_API_KEY",  # Replace with your Portkey API key
>     provider="@PROVIDER",   
>     provider="fireworks-ai",
>     fireworks_account_id="FIREWORKS_ACCOUNT_ID"
> )
>
> upload_file_response = portkey.files.create(
>   purpose="batch",
>   file=open("file.pdf", "rb")
> )
>
> print(upload_file_response)
> ```

> [tab] NodeJS
>
> ```js theme={"system"}
> import { Portkey } from 'portkey-ai';
>
> // Initialize the Portkey client
> const portkey = new Portkey({
>     apiKey: "PORTKEY_API_KEY",  // Replace with your Portkey API key
>     provider:"@PROVIDER",   
>     provider: "fireworks-ai",
>     fireworksAccountId: "FIREWORKS_ACCOUNT_ID"
> });
>
> const uploadFile = async () => {
>   const file = await portkey.files.create({
>     purpose: "batch",
>     file: fs.createReadStream("file.pdf")
>   });
>
>   console.log(file);
> }
>
> await uploadFile();
>
> ```

> [tab] REST
>
> ```sh theme={"system"}
> # you can also use a provider from Model Catalog here
> curl --location 'https://api.portkey.ai/v1/files' \
> --header 'x-portkey-api-key: <portkey_api_key>' \
> --header 'x-portkey-provider: fireworks-ai' \
> --header 'Content-Type: application/json' \
> --header 'x-portkey-fireworks-account-id: {YOUR_FIREWORKS_ACCOUNT_ID}' \
> --form 'file=@"{YOUR_FILE_PATH}"',
> --form 'purpose="batch"'
> ```

> [tab] OpenAI NodeJS
>
> ```js theme={"system"}
> import OpenAI from 'openai'; // We're using the v4 SDK
> import { PORTKEY_GATEWAY_URL, createHeaders } from 'portkey-ai'
>
> const openai = new OpenAI({
>   apiKey: 'OPENAI_API_KEY', // defaults to process.env["OPENAI_API_KEY"],
>   baseURL: PORTKEY_GATEWAY_URL,
>   defaultHeaders: createHeaders({
>     provider: "fireworks-ai",
>     apiKey: "PORTKEY_API_KEY", // defaults to process.env["PORTKEY_API_KEY"]
>     fireworksAccountId: "FIREWORKS_ACCOUNT_ID"
>   })
> });
>
> const uploadFile = async () => {
>   const file = await openai.files.create({
>     purpose: "batch",
>     file: fs.createReadStream("file.pdf")
>   });
>
>   console.log(file);
> }
>
> await uploadFile();
> ```

> [tab] OpenAI Python
>
> ```python theme={"system"}
> from openai import OpenAI
> from portkey_ai import PORTKEY_GATEWAY_URL, createHeaders
>
> openai = OpenAI(
>     api_key='OPENAI_API_KEY',
>     base_url=PORTKEY_GATEWAY_URL,
>     default_headers=createHeaders(
>         provider="fireworks-ai",
>         api_key="PORTKEY_API_KEY",
>         fireworks_account_id="FIREWORKS_ACCOUNT_ID"
>     )
> )
>
> upload_file_response = openai.files.create(
>   purpose="batch",
>   file=open("file.pdf", "rb")
> )
>
> print(upload_file_response)
> ```

## Get File

> [tab] Python
>
> ```python theme={"system"}
> from portkey_ai import Portkey
>
> # Initialize the Portkey client
> portkey = Portkey(
>     api_key="PORTKEY_API_KEY",  # Replace with your Portkey API key
>     provider="@PROVIDER",   
>     fireworks_account_id="FIREWORKS_ACCOUNT_ID"
> )
>
> file = portkey.files.retrieve(file_id="file_id")
>
> print(file)
> ```

> [tab] NodeJS
>
> ```js theme={"system"}
> import { Portkey } from 'portkey-ai';
>
> // Initialize the Portkey client
> const portkey = new Portkey({
>     apiKey: "PORTKEY_API_KEY",  // Replace with your Portkey API key
>     provider:"@PROVIDER",   
>     fireworksAccountId="FIREWORKS_ACCOUNT_ID",
> });
>
> const getFile = async () => {
>   const file = await portkey.files.retrieve(file_id="file_id");
>
>   console.log(file);
> }
>
> await getFile();
>
> ```

> [tab] REST
>
> ```sh theme={"system"}
> curl --location 'https://api.portkey.ai/v1/files/<file_id>' \
> --header 'x-portkey-api-key: <portkey_api_key>' \
> --header 'x-portkey-provider: @provider' \
> --header 'x-portkey-fireworks-account-id: {YOUR_FIREWORKS_ACCOUNT_ID}'
> ```

> [tab] OpenAI NodeJS
>
> ```js theme={"system"}
> import OpenAI from 'openai'; // We're using the v4 SDK
> import { PORTKEY_GATEWAY_URL, createHeaders } from 'portkey-ai'
>
> const openai = new OpenAI({
>   apiKey: 'OPENAI_API_KEY', // defaults to process.env["OPENAI_API_KEY"],
>   baseURL: PORTKEY_GATEWAY_URL,
>   defaultHeaders: createHeaders({
>     provider: "fireworks-ai",
>     apiKey: "PORTKEY_API_KEY", // defaults to process.env["PORTKEY_API_KEY"]
>     fireworksAccountId="FIREWORKS_ACCOUNT_ID",
>   })
> });
>
> const getFile = async () => {
>   const file = await openai.files.retrieve(file_id="file_id");
>
>   console.log(file);
> }
>
> await getFile();
> ```

> [tab] OpenAI Python
>
> ```python theme={"system"}
> from openai import OpenAI
> from portkey_ai import PORTKEY_GATEWAY_URL, createHeaders
>
> openai = OpenAI(
>     api_key='OPENAI_API_KEY',
>     base_url=PORTKEY_GATEWAY_URL,
>     default_headers=createHeaders(
>         provider="fireworks-ai",
>         api_key="PORTKEY_API_KEY",
>         fireworks_account_id="FIREWORKS_ACCOUNT_ID",
>     )
> )
>
> file = openai.files.retrieve(file_id="file_id")
>
> print(file)
> ```

## Get File Content

> [tab] Python
>
> ```python theme={"system"}
> from portkey_ai import Portkey
>
> # Initialize the Portkey client
> portkey = Portkey(
>     api_key="PORTKEY_API_KEY",  # Replace with your Portkey API key
>     provider="@PROVIDER",   
>     fireworks_account_id="FIREWORKS_ACCOUNT_ID",
> )
>
> file_content = portkey.files.content(file_id="file_id")
>
> print(file_content)
> ```

> [tab] NodeJS
>
> ```js theme={"system"}
> import { Portkey } from 'portkey-ai';
>
> // Initialize the Portkey client
> const portkey = new Portkey({
>     apiKey: "PORTKEY_API_KEY",  // Replace with your Portkey API key
>     provider:"@PROVIDER",   
>     fireworksAccountId="FIREWORKS_ACCOUNT_ID",
> });
>
> const getFileContent = async () => {
>   const file_content = await portkey.files.content(file_id="file_id");
>
>   console.log(file_content);
> }
>
> await getFileContent();
>
> ```

> [tab] REST
>
> ```sh theme={"system"}
> curl --location 'https://api.portkey.ai/v1/files/<file_id>/content' \
> --header 'x-portkey-api-key: <portkey_api_key>' \
> --header 'x-portkey-provider: @provider' \
> --header 'x-portkey-fireworks-account-id: {YOUR_FIREWORKS_ACCOUNT_ID}'
> ```

> [tab] OpenAI NodeJS
>
> ```js theme={"system"}
> import OpenAI from 'openai'; // We're using the v4 SDK
> import { PORTKEY_GATEWAY_URL, createHeaders } from 'portkey-ai'
>
> const openai = new OpenAI({
>   apiKey: 'OPENAI_API_KEY', // defaults to process.env["OPENAI_API_KEY"],
>   baseURL: PORTKEY_GATEWAY_URL,
>   defaultHeaders: createHeaders({
>     provider: "fireworks-ai",
>     apiKey: "PORTKEY_API_KEY", // defaults to process.env["PORTKEY_API_KEY"]
>     fireworksAccountId="FIREWORKS_ACCOUNT_ID",
>   })
> });
>
> const getFileContent = async () => {
>   const file_content = await openai.files.content(file_id="file_id");
>
>   console.log(file_content);
> }
>
> await getFileContent();
> ```

> [tab] OpenAI Python
>
> ```python theme={"system"}
> from openai import OpenAI
> from portkey_ai import PORTKEY_GATEWAY_URL, createHeaders
>
> openai = OpenAI(
>     api_key='OPENAI_API_KEY',
>     base_url=PORTKEY_GATEWAY_URL,
>     default_headers=createHeaders(
>         provider="fireworks-ai",
>         api_key="PORTKEY_API_KEY",
>         fireworks_account_id="FIREWORKS_ACCOUNT_ID",
>     )
> )
>
> file_content = openai.files.content(file_id="file_id")
>
> print(file_content)
> ```

* [Fireworks Datasets API](https://docs.fireworks.ai/api-reference/list-datasets)

***

> [card] [Portkey is now PRISMA AIRS AI Gateway. See it in action.](https://www.paloaltonetworks.in/ai-security/ai-gateway?utm_source=portkey\&utm_medium=referral\&utm_campaign=prisma_airs\&utm_content=docs_nav#contact)
>
> Contact Us


## Related topics

- [Files](https://docs.portkey.ai/docs/integrations/llms/anthropic/files.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.